package com.isu.gaswellwatch.modbus.data.decode;

import com.isu.gaswellwatch.modbus.data.ModbusMessage;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.Map;

/**
 * Modbus 数据解析器
 *
 * @author <a href="mailto:scwsl@foxmail.com">王仕龙</a>
 * 2024/11/23 11:20
 */
public interface DecodeHandler {
    String DECODE_NAME = "DecodeHandler";

    Logger logger = LoggerFactory.getLogger("com.isu.gaswellwatch.decode");

    String decode(Map<String, Object> commandPointMap, String value);

    void decode(Map<String, Object> commandPointMap, ModbusMessage.MessagePoint point);

}
